Skip to content

Update loan investors

Request

Security
oauth2(Required scopes: loan.investors:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
effectiveDatestring, (date)

The date at which this ownership structure came into effect.

investorsArray of objects(Loan Investor Association)
PUT
/people/{personId}/loans/{loanId}/investors
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/investors' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "effectiveDate": "2019-08-24",
    "investors": [
      {
        "investorId": "string",
        "metro2": {
          "reportK2Segment": false
        },
        "share": 0.1
      }
    ]
  }'

Responses

updated